Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QIODevice

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QIODevice class reference

### Public Functions

- bool at ( Q_LONGLONG off )
- Q_LONG readBlock ( char * data, Q_LONG maxlen )
- int state () const
- Q_LONG writeBlock ( const char * data, Q_LONG maxlen )
- Q_LONG writeBlock ( const QByteArray & data )

## Member Function Documentation

### bool QIODevice::at ( Q_LONGLONG off )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### Q_LONG QIODevice::readBlock ( char * data, Q_LONG maxlen )

### int QIODevice::state () const

Returns a value specifying the current state. This is a selection of state values, combined using the OR operator.

The flags are: `QIODevice::Open`.

Subclasses may define additional flags.

### Q_LONG QIODevice::writeBlock ( const char * data, Q_LONG maxlen )

### Q_LONG QIODevice::writeBlock ( const QByteArray & data )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.